## org.apache.batik.script.rhino
Class RhinoInterpreter.ExtendedContext

    java.lang.Object
      org.mozilla.javascript.Context
          org.apache.batik.script.rhino.RhinoInterpreter.ExtendedContext

Enclosing class:
  RhinoInterpreter

public class RhinoInterpreter.ExtendedContext
extends org.mozilla.javascript.Context

Field Summary

Fields inherited from class org.mozilla.javascript.Context
`errorReporterProperty, FEATURE_MEMBER_EXPR_AS_FUNCTION_NAME, FEATURE_NON_ECMA_GET_YEAR, FEATURE_RESERVED_KEYWORD_AS_IDENTIFIER, FEATURE_TO_STRING_AS_SOURCE, languageVersionProperty, VERSION_1_0, VERSION_1_1, VERSION_1_2, VERSION_1_3, VERSION_1_4, VERSION_1_5, VERSION_DEFAULT, VERSION_UNKNOWN`

Constructor Summary
`RhinoInterpreter.ExtendedContext()`

Method Summary
`org.mozilla.javascript.ScriptableObject` `getGlobalObject()`
`RhinoInterpreter` `getInterpreter()`
`Window` `getWindow()`

Methods inherited from class org.mozilla.javascript.Context

`addActivationName, addContextListener, addPropertyChangeListener, compileFunction, compileReader, createClassLoader, decompileFunction, decompileFunctionBody, decompileScript, enter, enter, evaluateReader, evaluateString, exit, getApplicationClassLoader, getClassName, getClassOutput, getClassRepository, getCurrentContext, getDebugger, getDebuggerContextData, getElements, getErrorReporter, getImplementationVersion, getInstructionObserverThreshold, getLanguageVersion, getLocale, getOptimizationLevel, getTargetClassFileName, getTargetPackage, getThreadLocal, getUndefinedValue, getWrapFactory, getWrapHandler, hasCompileFunctionsWithDynamicScope, hasFeature, initStandardObjects, initStandardObjects, isActivationNeeded, isGeneratingDebug, isGeneratingDebugChanged, isGeneratingSource, newArray, newArray, newObject, newObject, newObject, observeInstructionCount, putThreadLocal, removeActivationName, removeContextListener, removePropertyChangeListener, removeThreadLocal, reportError, reportError, reportRuntimeError, reportRuntimeError, reportWarning, reportWarning, setApplicationClassLoader, setCachingEnabled, setClassName, setClassOutput, setClassRepository, setClassShutter, setCompileFunctionsWithDynamicScope, setDebugger, setErrorReporter, setGeneratingDebug, setGeneratingSource, setInstructionObserverThreshold, setLanguageVersion, setLocale, setOptimizationLevel, setSecurityController, setSecuritySupport, setTargetClassFileName, setTargetExtends, setTargetImplements, setTargetPackage, setWrapFactory, setWrapHandler, stringIsCompilableUnit, toBoolean, toNumber, toObject, toObject, toString, toType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RhinoInterpreter.ExtendedContext

    public RhinoInterpreter.ExtendedContext()

Method Detail

### getInterpreter

    public RhinoInterpreter getInterpreter()

### getWindow

    public Window getWindow()

### getGlobalObject

    public org.mozilla.javascript.ScriptableObject getGlobalObject()

Copyright © 2004 Apache Software Foundation. All Rights Reserved.